### Function

# GLib Scanner new

#### Declaration [src]

    GScanner*
    g_scanner_new (
      const GScannerConfig* config_templ
    )

#### Description [src]

Creates a new `GScanner`.

The `config_templ` structure specifies the initial settings of the scanner, which are copied into the `GScanner` `config` field. If you pass `NULL` then the default settings are used.

This function is not directly available to language bindings.

#### Parameters

`config_templ`

  Type: `GScannerConfig`

  The initial scanner settings.

  The data is owned by the caller of the function.

#### Return value

Type: `GScanner`

The new `GScanner`.

The data is owned by the called function.